Subject: Re: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: Noam Postavsky <[email-masked]>
Date: Sat, 25 Nov 2017 15:06:01 -0500

Eli Zaretskii <[email-masked]> writes:

> By "unrecognized arguments" do you mean unrecognized switches?  If so,
> this is not the same issue as the one I was raising.

Ah, I see.  I wan't really aware of that distinction.

>> So we could also check for an integer argument.
>
> But it isn't just integers:
>
>   ~ $ date 42 "EDT-5"
>   Thu Jan  1 05:00:42 1970
>   ~ $ date (list 23065 51329 644000 0)
>   Sat Nov 25 21:46:09 2017

Ugh, stop taking me so literally, and just read my mind! ;P

How about checking for a set of arguments that is compatible with what
current-time-string accepts.